function fm_resp_vec = lookup_fm_resp(pm_h, pm_w)

  %..Looks up the fine model response for x on input

  load ../data/fm_resp_mat.mat

  %..Set domain for independent variables: height and radius of the magnet.. 
  pm_h_lb   = 5e-3;  %..lowest possible value for height coil consider..
  pm_h_ub   = 45e-3;
  pm_h_step = (pm_h_ub - pm_h_lb) / 40;
  pm_h_vec  = [pm_h_lb:pm_h_step:pm_h_ub];
  pm_w_lb   = 1e-3;
  pm_w_ub   = 45e-3;
  pm_w_step = (pm_w_ub - pm_w_lb) / 40;
  pm_w_vec  = [pm_w_lb:pm_w_step:pm_w_ub];

  nine = 9; 

  %..Initialize data..     
  fm_resp_vec = zeros(nine,1); 
  data_to_interp_from = zeros(length(pm_h_vec), length(pm_w_vec)); 

  %..Get Fd-curve by interpolation from computed values..  
  for ir=1:nine %..For every coil position.. 
    %..Interpolate force resp.. 
    data_to_interp_from(1:length(pm_h_vec), 1:length(pm_w_vec)) = ... 
      fm_resp_mat(ir,:,:); 
    fm_resp_vec(ir) = interp2(pm_h_vec, pm_w_vec, ...
                                  transpose(data_to_interp_from), ...
                                  pm_h, pm_w); 
  end  
